OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.ShaderSubroutine

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_shader_subroutine extension, see http://www.opengl.org/registry/specs/ARB/shader_subroutine.txt.

Synopsis

- glGetSubroutineUniformLocation :: GLuint -> GLenum -> Ptr GLchar -> IO GLint
- glGetSubroutineIndex :: GLuint -> GLenum -> Ptr GLchar -> IO GLuint
- glGetActiveSubroutineUniformiv :: GLuint -> GLenum -> GLuint -> GLenum -> Ptr GLint -> IO ()
- glGetActiveSubroutineUniformName :: GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> IO ()
- glGetActiveSubroutineName :: GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> IO ()
- glUniformSubroutinesuiv :: GLenum -> GLsizei -> Ptr GLuint -> IO ()
- glGetUniformSubroutineuiv :: GLenum -> GLint -> Ptr GLuint -> IO ()
- glGetProgramStageiv :: GLuint -> GLenum -> GLenum -> Ptr GLint -> IO ()
- gl_ACTIVE_SUBROUTINES :: GLenum
- gl_ACTIVE_SUBROUTINE_UNIFORMS :: GLenum
- gl_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum
- gl_ACTIVE_SUBROUTINE_MAX_LENGTH :: GLenum
- gl_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH :: GLenum
- gl_MAX_SUBROUTINES :: GLenum
- gl_MAX_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum
- gl_NUM_COMPATIBLE_SUBROUTINES :: GLenum
- gl_COMPATIBLE_SUBROUTINES :: GLenum
- gl_UNIFORM_SIZE :: GLenum
- gl_UNIFORM_NAME_LENGTH :: GLenum

# Functions

glGetSubroutineUniformLocation :: GLuint -> GLenum -> Ptr GLchar -> IO GLint

glGetSubroutineIndex :: GLuint -> GLenum -> Ptr GLchar -> IO GLuint

glGetActiveSubroutineUniformiv :: GLuint -> GLenum -> GLuint -> GLenum -> Ptr GLint -> IO ()

glGetActiveSubroutineUniformName :: GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> IO ()

glGetActiveSubroutineName :: GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> IO ()

glUniformSubroutinesuiv :: GLenum -> GLsizei -> Ptr GLuint -> IO ()

glGetUniformSubroutineuiv :: GLenum -> GLint -> Ptr GLuint -> IO ()

glGetProgramStageiv :: GLuint -> GLenum -> GLenum -> Ptr GLint -> IO ()

# Tokens

gl_ACTIVE_SUBROUTINES :: GLenum

gl_ACTIVE_SUBROUTINE_UNIFORMS :: GLenum

gl_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum

gl_ACTIVE_SUBROUTINE_MAX_LENGTH :: GLenum

gl_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH :: GLenum

gl_MAX_SUBROUTINES :: GLenum

gl_MAX_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum

gl_NUM_COMPATIBLE_SUBROUTINES :: GLenum

gl_COMPATIBLE_SUBROUTINES :: GLenum

gl_UNIFORM_SIZE :: GLenum

gl_UNIFORM_NAME_LENGTH :: GLenum